Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Interface Clearable

All Known Implementing Classes:
  AbstractVisualizer, AssertionVisualizer, ComparisonVisualizer, DistributionGraph, DistributionGraphVisualizer, Graph, GraphVisualizer, MailerResultCollector, MailerVisualizer, MainFrame, MainFrame.ErrorsAndFatalsCounterLogTarget, MonitorAccumModel, MonitorGraph, MonitorHealthPanel, MonitorHealthVisualizer, MonitorModel, MonitorPerformancePanel, RespTimeGraphVisualizer, ResultCollector, ResultSaverGui, SimpleDataWriter, SplineModel, SplineVisualizer, StatGraphVisualizer, StatVisualizer, SummaryReport, TableVisualizer, ViewResultsFullVisualizer

    public interface Clearable

Identifies an object which supports the clearing of run-time data using the clearData() method. Intended for implementation by Listeners.

Method Summary
`void` | `clearData()` Clears the current data of the object.

Method Detail

### clearData

    void clearData()

  Clears the current data of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.